%define module   YAML-Tiny
%define version    1.32
%define release    %mkrel 3

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Read/Write YAML files with as little code as possible
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/YAML/%{module}-%{version}.tar.gz
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
*YAML::Tiny* is a perl class for reading and writing YAML-style files,
written with as little code as possible, reducing load time and memory
overhead.

Most of the time it is accepted that Perl applications use a lot of memory
and modules. The *::Tiny* family of modules is specifically intended to
provide an ultralight and zero-dependency alternative to many more-thorough
standard modules.

This module is primarily for reading human-written files (like simple
config files) and generating very simple human-readable files. Note that I
said *human-readable* and not *geek-readable*. The sort of files that your
average manager or secretary should be able to look at and make sense of.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README Changes
%{_mandir}/man3/*
%perl_vendorlib/YAML



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.32-3mdv2009.0
+ Revision: 268885
- rebuild early 2009.0 package (before pixel changes)

* Mon May 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.32-2mdv2009.0
+ Revision: 208941
- fix spacing at top of description

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdv2009.0
+ Revision: 208377
- update to new version 1.32

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdv2009.0
+ Revision: 205400
- update to new version 1.31

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2009.0
+ Revision: 201899
- update to new version 1.30

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2009.0
+ Revision: 195162
- import perl-YAML-Tiny


* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2009.0
- first mdv release
